<?php
/*
Plugin Name: Classy Amp
Version: 0.9
Plugin URI: http://yesterdayishere.com/wordpress/arhiva/2007/11/14/classy-amp/
Description: Classy Amp wraps ampersands in headings with the span element so you can style it via CSS
Author: Bojan Janjanin and Alan Lez
Author URI: http://yesterdayishere.com/
*/

function ampersand($text) {
	$status=ob_get_status();
	if (!preg_match('|<[^>]*$|', ob_get_contents()) && $status['name']!='') $text = str_replace(array('&#38;', '&#038;', '&amp;'), '<span class=\'amp\'>&#38;</span>', $text);
	return $text;
}

function start_ob() {
    ob_start();
}

add_action('wp_head', 'start_ob');
add_filter('the_title', 'ampersand');
?>